# Class MultipartDef

java.lang.Object
org.apache.tomcat.util.descriptor.web.MultipartDef

All Implemented Interfaces:
  `Serializable`

public class MultipartDef extends Object implements Serializable
Representation of the multipart configuration for a servlet.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MultipartDef()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getFileSizeThreshold()`
`String`
`getLocation()`
`String`
`getMaxFileSize()`
`String`
`getMaxRequestSize()`
`int`
`hashCode()`
`void`
`setFileSizeThreshold(String fileSizeThreshold)`
`void`
`setLocation(String location)`
`void`
`setMaxFileSize(String maxFileSize)`
`void`
`setMaxRequestSize(String maxRequestSize)`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultipartDef

public MultipartDef()

## Method Details

### getLocation

public String getLocation()

### setLocation

public void setLocation(String location)

### getMaxFileSize

public String getMaxFileSize()

### setMaxFileSize

public void setMaxFileSize(String maxFileSize)

### getMaxRequestSize

public String getMaxRequestSize()

### setMaxRequestSize

public void setMaxRequestSize(String maxRequestSize)

### getFileSizeThreshold

public String getFileSizeThreshold()

### setFileSizeThreshold

public void setFileSizeThreshold(String fileSizeThreshold)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`